# The Swarms License

## Version 2.0, October 13, 2024

Copyright (c) 2024 The Galactic Swarm Corporation [TGSC]

### 1. Definitions
   a. "Software" means the original work of authorship made available under this License, as well as all modifications, derivative works, and collective works thereof.  
   b. "Licensor" means the individual or entity that offers the Software under the terms of this License.  
   c. "Contributor" means any individual or entity that creates, contributes to the creation of, or modifies the Software.  
   d. "Modified Version" means any work containing the Software or portions thereof, including portions that, when applied to an original work, create a work different from the original.  
   e. "Derivative Work" means any work that is based on (or derived from) the Software and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship.  
   f. "Collective Work" means a work, such as a periodical issue, anthology, or encyclopedia, in which the Software in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole.  
   g. "Commercial Use" means any use of the Software for monetary compensation or gain, including but not limited to as part of a commercial product or service, or in activities intended to generate a profit.  
   h. "Non-Commercial Use" means any use of the Software that is not considered Commercial Use.  
   i. "Source Code" means the preferred form of the Software for making modifications to it, including but not limited to software source code, documentation source, and configuration files.  
   j. "Object Code" means any non-Source Code version of the Software, generated, for example, by a compiler, interpreter, or obfuscator.  
   k. "User" means any individual or entity that uses, copies, modifies, merges, publishes, distributes, sublicenses, or sells copies of the Software.

### 2. License Grant
   a. Subject to the terms and conditions of this License, the Licensor hereby grants you a worldwide, royalty-free, non-exclusive, perpetual license to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software.  
   b. You may use the Software for any purpose, including Commercial Use, as long as you comply with the conditions set forth in this License.  
   c. You may incorporate the Software into a Collective Work, and distribute the Collective Work, as long as you comply with the attribution requirements in Section 3.  
   d. You may create Modified Versions or Derivative Works of the Software, and distribute such Modified Versions or Derivative Works, as long as you comply with the attribution requirements in Section 3 and the restrictions in Section 4.  
   e. You may distribute the Software in Source Code or Object Code form, as long as you comply with the attribution requirements in Section 3 and the restrictions in Section 4.

### 3. Attribution Requirements
   a. When distributing the Software, whether in its original form, as a Modified Version, or as part of a Collective Work, you must include a clear and prominent attribution notice that identifies the Licensor and provides a link or reference to the original Software.  
   b. The attribution notice must be placed in a reasonable location, such as the beginning of a README file, the source code, or any other prominent location, and must be easily visible to anyone using or accessing the Software.  
   c. The attribution notice must include the following information:  
      i. The name of the Licensor ([TGSC], Inc.)  
      ii. A link or reference to the original Software  
      iii. A statement indicating that the Software is licensed under the Swarms License  
   d. If you create a Modified Version or incorporate the Software into a Collective Work, you must also include a statement indicating the changes you have made to the original Software.  
   e. If you distribute the Software in Source Code form, you must also include the complete Source Code of the Software, including any modifications or additions you have made.  
   f. If you distribute the Software in Object Code form, you must also provide access to the corresponding Source Code, either by including it with the distribution or by indicating how the Source Code can be obtained, such as a download link or instructions for requesting the Source Code.

### 4. Prohibited Actions
   a. You may not remove, alter, or obscure the attribution notice required in Section 3.  
   b. You may not use the name, trademarks, or other intellectual property of the Licensor or any Contributor in a way that suggests the Licensor or Contributor endorses or supports your use of the Software.  
   c. You may not create a Modified Version or Derivative Work that has a substantially similar name, function, or purpose as the original Software, unless you have obtained explicit written permission from the Licensor.  
   d. You may not sell, distribute, or otherwise make available the Software or any Modified Version or Derivative Work under a different name or brand, unless you have obtained explicit written permission from the Licensor.  
   e. You may not circumvent or attempt to circumvent any technical measures implemented by the Licensor to protect the Software, such as copy protection or access control mechanisms.  
   f. You may not engage in any activity that could reasonably be expected to interfere with or disrupt the normal operation of the Software or the Licensor's servers or networks.  
   g. You may not use the Software in any way that violates applicable laws or regulations, including but not limited to laws related to data privacy, export control, and intellectual property rights.

### 5. Contributions
   a. If you wish to contribute to the Software, you must do so under the terms of this License. By submitting a contribution, you agree that your contribution is subject to the terms of this License and that you have the right to make the contribution under those terms.  
   b. The Licensor reserves the right to accept or reject any contribution at its sole discretion.  
   c. If your contribution is accepted, you grant the Licensor a worldwide, royalty-free, non-exclusive, perpetual license to use, copy, modify, merge, publish, distribute, sublicense, and/or sell your contribution as part of the Software.  
   d. You retain ownership of the copyright in your contribution, but you agree that your contribution is subject to the terms of this License and that the Licensor has the right to use, copy, modify, merge, publish, distribute, sublicense, and/or sell your contribution as part of the Software.  
   e. If you contribute code to the Software, you must ensure that the code is compatible with the license terms of this License and does not introduce any incompatible dependencies or licenses.  
   f. If you contribute documentation, translations, or other non-code assets to the Software, you must ensure that the content is original and does not infringe on any third-party intellectual property rights.

### 6. Commercial Use
   a. You may use the Software for Commercial Use, as long as you comply with the other terms of this License.  
   b. If you use the Software for Commercial Use, you must pay a royalty fee to the Licensor. The royalty fee shall be determined by the Licensor and communicated to you prior to your use of the Software for Commercial Use.  
   c. The royalty fee may be a one-time payment or an ongoing percentage of revenue generated from the Commercial Use of the Software, as determined by the Licensor.  
   d. The Licensor reserves the right to change the royalty fee at any time, with reasonable notice to you.  
   e. If you use the Software for Non-Commercial Use, you are not required to pay a royalty fee to the Licensor.  
   f. The Licensor may offer certain features, functionality, or services related to the Software on a subscription or pay-per-use basis. If you choose to access or use these features, functionality, or services, you may be required to pay additional fees to the Licensor.  
   g. The Licensor may also offer commercial support, training, or consulting services related to the Software, for which you may be required to pay additional fees.

### 7. Warranty Disclaimer
   a. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
   b. The Licensor does not warrant that the Software will meet your requirements, that the operation of the Software will be uninterrupted or error-free, or that errors in the Software will be corrected.  
   c. The Licensor is not responsible for any issues or damages that may arise from your use of the Software, including but not limited to data loss, system failures, or legal liabilities.  
   d. You acknowledge that you are solely responsible for the results obtained from the use of the Software, and that the Licensor has no control over how the Software is used or the consequences of such use.

### 8. Termination
   a. This License and the rights granted hereunder will terminate automatically if you fail to comply with any of the terms of this License.  
   b. If your right to use the Software is terminated, you must immediately cease all use of the Software and destroy all copies of the Software in your possession or control.  
   c. The Licensor reserves the right to bring legal action against you for any breach of this License, and to seek injunctive relief or other appropriate remedies to prevent further violations.  
   d. Sections 7, 8, and 9 of this License shall survive the termination of this License.

### 9. Indemnification
   a. You agree to indemnify, defend, and hold harmless the Licensor and its officers, directors, employees, and agents from and against any and all claims, liabilities, damages, losses, or expenses (including reasonable attorneys' fees and costs) arising out of or in connection with your use of the Software, your violation of the terms of this License, or your violation of any applicable laws or regulations.  
   b. The Licensor reserves the right, at its own expense, to assume the exclusive defense and control of any matter subject to indemnification by you, in which event you will fully cooperate with the Licensor in asserting any available defenses.

### 10. Limitation of Liability
   a. IN NO EVENT SHALL THE LICENSOR BE LIABLE TO YOU OR ANY THIRD PARTY FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, INCLUDING BUT NOT LIMITED TO LOST PROFITS, BUSINESS INTERRUPTION, OR LOSS OF DATA, EVEN IF THE LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.  
   b. THE LICENSOR'S TOTAL LIABILITY TO YOU FOR DIRECT DAMAGES FOR ANY CAUSE WHATSOEVER, AND REGARDLESS OF THE FORM OF THE ACTION, WILL AT ALL TIMES BE LIMITED TO THE AMOUNT PAID BY YOU, IF ANY, FOR THE SOFTWARE.  
   c. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to you.

### 11. Compliance with Laws
   a. You agree to comply with all applicable laws, regulations, and industry standards when using the Software, including but not limited to laws related to data privacy, export control, and intellectual property rights.  
   b. You agree not to use the Software for any unlawful or unauthorized purpose, and to notify the Licensor promptly of any suspected unlawful or unauthorized use of the Software.

### 12. Open Source Compliance
   a. If the Software or any part thereof is subject to an open source license, you agree to comply with the terms and conditions of such license in addition to the terms of this License.  
   b. You agree not to take any action that could be reasonably construed as attempting to circumvent or undermine the open source license terms applicable to the Software or any part thereof.

### 13. Miscellaneous
   a. This License shall be governed by and construed in accordance with the laws of the State of California, United States of America, without giving effect to any principles of conflicts of law.  
   b. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable.  
   c. The failure of the Licensor to enforce any of the provisions of this License at any time shall in no way be construed to be a present or future waiver of such provisions, nor in any way affect the right of the Licensor to enforce each and every such provision thereafter.  
   d. The Licensor reserves the right to modify or update this License at any time, with reasonable notice to you. Any such modifications or updates will not apply retroactively to your prior use of the Software.  
   e. This License constitutes the entire agreement between you and the Licensor with respect to the use of the Software, and supersedes all prior or contemporaneous communications and proposals, whether oral or written, between you and the Licensor.  
   f. You may not assign or transfer this License or any of the rights or obligations under this License without the prior written consent of the Licensor.  
   g. The headings and section titles in this License are for convenience only and shall not affect the interpretation of the License.  
   h. If any provision of this License is found to be invalid or unenforceable, the remaining provisions shall be enforced to the maximum extent possible.  
   i. This License is binding upon your successors, assigns, and legal representatives.

By using, copying, modifying, merging, publishing, distributing, sublicensing, or selling copies of the Software, you indicate your acceptance of the terms and conditions of this License.
